Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xalan.utils
Class DefaultErrorHandler

    java.lang.Object
      |
      +--org.apache.xalan.utils.DefaultErrorHandler

public class DefaultErrorHandler
extends java.lang.Object
implements ErrorHandler

Implement SAX error handler for default reporting.

Constructor Summary
`DefaultErrorHandler(java.lang.String identifier)`

Method Summary
`void` | `error(SAXParseException exception)` Receive notification of a recoverable error.
`void` | `fatalError(SAXParseException exception)` Receive notification of a non-recoverable error.
`void` | `warning(SAXParseException exception)` Receive notification of a warning.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultErrorHandler

    public DefaultErrorHandler(java.lang.String identifier)

Method Detail

### warning

    public void warning(SAXParseException exception)
                 throws SAXException

  Receive notification of a warning.

  SAX parsers will use this method to report conditions that are not errors or fatal errors as defined by the XML 1.0 recommendation. The default behaviour is to take no action.

  The SAX parser must continue to provide normal parsing events after invoking this method: it should still be possible for the application to process the document through to the end.

  Specified by:
    warning in interface ErrorHandler
  Parameters:
    `exception` - The warning information encapsulated in a SAX parse exception.
  Throws:
    SAXException - Any SAX exception, possibly wrapping another exception.
  See Also:
    `SAXParseException`

### error

    public void error(SAXParseException exception)
               throws SAXException

  Receive notification of a recoverable error.

  This corresponds to the definition of "error" in section 1.2 of the W3C XML 1.0 Recommendation. For example, a validating parser would use this callback to report the violation of a validity constraint. The default behaviour is to take no action.

  The SAX parser must continue to provide normal parsing events after invoking this method: it should still be possible for the application to process the document through to the end. If the application cannot do so, then the parser should report a fatal error even if the XML 1.0 recommendation does not require it to do so.

  Specified by:
    error in interface ErrorHandler
  Parameters:
    `exception` - The error information encapsulated in a SAX parse exception.
  Throws:
    SAXException - Any SAX exception, possibly wrapping another exception.
  See Also:
    `SAXParseException`

### fatalError

    public void fatalError(SAXParseException exception)
                    throws SAXException

  Receive notification of a non-recoverable error.

  This corresponds to the definition of "fatal error" in section 1.2 of the W3C XML 1.0 Recommendation. For example, a parser would use this callback to report the violation of a well-formedness constraint.

  The application must assume that the document is unusable after the parser has invoked this method, and should continue (if at all) only for the sake of collecting addition error messages: in fact, SAX parsers are free to stop reporting any other events once this method has been invoked.

  Specified by:
    fatalError in interface ErrorHandler
  Parameters:
    `exception` - The error information encapsulated in a SAX parse exception.
  Throws:
    SAXException - Any SAX exception, possibly wrapping another exception.
  See Also:
    `SAXParseException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 Apache XML Project. All Rights Reserved.